'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

module.exports = merge(prodEnv, {
    NODE_ENV: '"development"',
    CONFIG_ENV: JSON.stringify(process.env.CONFIG_ENV),
    debug: true,
    isMobilePlatform: false,
    appCode: '"HLS_APP"',
    clearTable: true,
     // 测试环境
    // loginPath: '"http://101.133.225.167/core/oauth/token?client_id=hQGCtxTItRa34PUOgxaD0r7oSPeuEaIB&client_secret=7ee8338c-4a06-44a1-87cc-afa63f8e1bc3&grant_type=password&username=app&password=" ',
    // loginPathRl: '"http://101.133.225.167/core/oauth/token?client_id=client2&client_secret=secret&grant_type=password&username=admin&password="',
    // basePath: '"http://101.133.225.167/core/r/api?sysName=HCL_UPLOAD_FILE&apiName="',
    // basePathRl: '"http://101.133.225.167/core/r/api?sysName=wxgzh_hitachics&apiName="',
    // rootPath: '"http://101.133.225.167/core/r/api"',
    // file_url: '"http://101.133.225.167/file/"',
    // domainUrl: "http://101.133.225.167/core/",
    // 正式环境
    loginPathRl: '"http://lease.hitachics.com/core/oauth/token?client_id=client2&client_secret=secret&grant_type=password&username=admin&password="',
    basePath: '"http://lease.hitachics.com/core/r/api?sysName=HCL_UPLOAD_FILE&apiName="',
    basePathRl: '"http://lease.hitachics.com/core/r/api?sysName=wxgzh_hitachics&apiName="',
    rootPath: '"http://lease.hitachics.com/core/r/api"',
    file_url: '"http://lease.hitachics.com/file/"',
    domainUrl: "http://lease.hitachics.com",
    appId: '"com.hls.easy.car"',
    currentVersion: '"1.0.0"',
    wxCode: "'hlsWx'",
    uploadSysName: "'HLS_APP'",
    uploadApiName: "'attachment_upload'"
});